Subject: Re:lads in New York Area

From: "XXC1"<"XXC1"@ofs.co.westchester.ny.us>
Date: Wed, 20 Jul 94 16:28:13 CDT

Hi, friend, 
Your wife's status is the same as mine. I got pratical training card on 
4/30/93. I applied for form I-485 in Auguest, 1993. At the same time I got  
employment authorization appointment sheet. The sheet said that I would go  
to 201 24th steet Immagration office to get the EAD card based on the form  
I-485. Now the card almost is expired. I went to 26 Federal building to get 
appointment sheet to extension the card about two weeks ago. Today I just   
got new EAD card. But I have not heard anything about my PR processing from 
New York INS.   
 
Good Luck!  
 
Xiaobo Cui  
Westchester County  
Planning Department 
White Plains,NY 10604   
Tel:1-914-285-3781